<div style="display: flex; align-items: center; justify-content: space-between;">
    <div style="overflow: hidden;">

        <span style="display: flex; align-items: center; flex: 1;">
            <with-types fixed-key='map-card-{{iri.value}}' iri='{{iri.value}}' template='{{> template}}' [[>
                rsp:TypeMappings]]
                >
                <template id='template'>
                    <span style="display: flex; align-items: center; flex: 1; width: 100%;">
                        <i class="rs-icon {{getValueByKey typeToIcon allTypes 'rs-icon-entity'}}"
                            alt="{{directTypesLabels}}" title='{{directTypesLabels}}'></i>
                        <mp-label iri="{{iri.value}}"></mp-label>
                    </span>
                </template>
            </with-types>
        </span>

    </div>

    <div class="set-management__item-actions" style="margin-left: auto;">
        <div class="set-management__item-popover">
        <bs-dropdown >
            <bs-dropdown-toggle pull-right=true bs-style='link' id='set-actions-{{iri.value}}'>
            </bs-dropdown-toggle>
      
            <bs-dropdown-menu class="menu-left">
              <semantic-link-container uri='http://www.researchspace.org/resource/ThinkingFrames' 
                                            urlqueryparam-view='knowledge-map' 
                                            urlqueryparam-resource='{{iri.value}}'>
                  <bs-menu-item event-key=km>[[i18n "explore" bundle="languages/resource_setview" locale=this.lang]]</bs-menu-item>
              </semantic-link-container>
      
              [[#if (hasPermission "forms:ldp:*")]]
                <mp-set-management-action-rename-set>
                  <bs-menu-item event-key='rename'>[[i18n "rename" bundle="languages/resource_setview" locale=this.lang]]</bs-menu-item>
                </mp-set-management-action-rename-set>
                <mp-set-management-action-remove-set>
                  <bs-menu-item event-key='remove'>[[i18n "remove" bundle="languages/resource_setview" locale=this.lang]]</bs-menu-item>
                </mp-set-management-action-remove-set>
              [[/if]]
            </bs-dropdown-menu>
        </bs-dropdown>
        </div>
    </div>
<!--
    <mp-popover class="clipboard-listview-popover">
        <mp-popover-trigger placement="right" trigger='["click"]' root-close='true'>
            <div class='clipboard-popover-trigger'>
                
            </div>

        </mp-popover-trigger>

        <mp-popover-content>
            <div class="set-management__item-popover">

                <div class="rs-default-card-action__km-navigate">

                    <semantic-link-container uri='[[resolvePrefix "rsp:ThinkingFrames"]]'
                        urlqueryparam-view='knowledge-map' urlqueryparam-resource='{{iri.value}}'>

                        <div event-key=km class="set-management__item-popover-item">
                            <i class="rs-icon rs-icon-diagram"></i> <span>Open</span>
                        </div>
                    </semantic-link-container>
                </div>

                [[#if (hasPermission "forms:ldp:*")]]


                <div event-key=km class="set-management__item-popover-item">

                    <mp-anonymous-hidden>
                        <div>
                            <i class="rs-icon rs-icon-delete_round"></i>
                            <mp-set-management-action-remove-set-item item='{{itemHolder.value}}' proxy-event-type="Component.Refresh">
                                <span>Remove</span>
                            </mp-set-management-action-remove-set-item>
                        </div>
                    </mp-anonymous-hidden>
                </div>

                [[/if]]

            </div>
        </mp-popover-content>

    </mp-popover>
<!-->
</div>